> For the complete documentation index, see [llms.txt](https://valor-biomechanics.gitbook.io/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://valor-biomechanics.gitbook.io/api/reference/api-reference/athletes.md).

# athletes

## Retrieving Athletes

## Retrieve athlete(s).

<mark style="color:blue;">`GET`</mark> `https://487q8d7goe.execute-api.us-east-1.amazonaws.com/production/athletes`

Obtains all the athletes or a specific athlete within your Valor account.

#### Query Parameters

| Name      | Type   | Description                               |
| --------- | ------ | ----------------------------------------- |
| athleteID | String | ID of specific athlete for focused search |

#### Headers

| Name                                            | Type   | Description                                                                          |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>JWT Bearer Token for authentication: <br><strong>Bearer \<JWT token></strong></p> |

{% tabs %}
{% tab title="200: OK Athletes successfully retrieved" %}

```json
{
    "statusCode": 200,
    "body": [{"ValorID": id, "FirstName": first_name, "LastName": last_name},
             {"ValorID": id2, "FirstName": first_name2, "LastName": last_name2},
        ...] //Array of athletes found
}
```

{% endtab %}

{% tab title="404: Not Found No athletes found for the organization" %}

```json
{
    "message": "String type - this will contain more details about the problem encountered"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Endpoint request timed out" %}

```json
{
    "message": "String type - this will contain more details about the problem encountered"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://valor-biomechanics.gitbook.io/api/reference/api-reference/athletes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
